Bug 596775 - ssh protocol 1 warning
Summary: ssh protocol 1 warning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rkhunter
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 13:47 UTC by Nerijus Baliūnas
Modified: 2011-07-01 18:59 UTC (History)
3 users (show)

Fixed In Version: rkhunter-1.3.8-6.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-01 18:59:10 UTC


Attachments (Terms of Use)

Description Nerijus Baliūnas 2010-05-27 13:47:55 UTC
Fedora 13 has openssh 5.4p1, which requires to explicitly enable ssh protocol 1:



# The default requires explicit activation of protocol 1

#Protocol 2



But rkhunter displays a warning:



Warning: The SSH configuration option 'Protocol' has not been set.

         The default value may be '2,1', to allow the use of protocol version 1.

I got an answer in rkhunter mailing list:

From the config file:



  ...If the 'Protocol' option has not been set in the SSH

  # configuration file, then a value of '2' may be set here in order to

  # suppress a warning message.

So set ALLOW_SSH_PROT_V1=2 in rkhunter.conf.

Comment 1 Fedora Update System 2010-05-29 00:55:06 UTC
rkhunter-1.3.6-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rkhunter-1.3.6-6.fc13

Comment 2 Fedora Update System 2010-05-31 18:25:59 UTC
rkhunter-1.3.6-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rkhunter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rkhunter-1.3.6-6.fc13

Comment 3 Fedora Update System 2010-06-21 13:13:38 UTC
rkhunter-1.3.6-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Nerijus Baliūnas 2010-12-07 16:36:36 UTC
1.3.8-1.fc14 from updates-testing has the setting dropped:
-ALLOW_SSH_PROT_V1=2
+ALLOW_SSH_PROT_V1=0

Please use 2 as before.

Also I get the new warning:
Warning: The SSH configuration option 'PermitRootLogin' has not been set.

         The default value may be 'yes', to allow root access.

But ALLOW_SSH_ROOT_USER=yes has not changed, so this may be a new bug in rkhunter.

There are duplicate lines in rkhunter.conf:
ALLOWHIDDENFILE=/lib*/.libcrypto.so.*.hmac
ALLOWHIDDENFILE=/lib*/.libcrypto.so.*.hmac
ALLOWHIDDENFILE=/lib*/.libssl.so.*.hmac
ALLOWHIDDENFILE=/lib*/.libssl.so.*.hmac

ALLOWHIDDENFILE=/usr/lib*/.libfipscheck.so.*.hmac
ALLOWHIDDENFILE=/usr/lib*/.libfipscheck.so.*.hmac

apps was removed from DISABLE_TESTS in rkhunter,conf, so I get a new warning:
Warning: Application 'sshd', version '5.5p1', is out of date, and possibly a security risk.

Comment 5 Kevin Fenzi 2010-12-08 01:53:52 UTC
That config worked great in rawhide, but of course I failed to test it enough in f13/f14. ;( 

Thanks for reporting this. Will try and push out updated packages tonight or tomorrow.

Comment 7 Nerijus Baliūnas 2010-12-08 22:47:06 UTC
rkhunter-1.3.8-2.fc14.noarch.rpm gives no more warnings, thanks!

Comment 8 Fedora Update System 2010-12-09 04:48:46 UTC
rkhunter-1.3.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-2.fc14

Comment 9 Fedora Update System 2010-12-09 05:14:22 UTC
rkhunter-1.3.8-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-2.fc13

Comment 10 Fedora Update System 2010-12-09 16:11:05 UTC
rkhunter-1.3.8-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-2.el4

Comment 11 Fedora Update System 2010-12-09 17:04:46 UTC
rkhunter-1.3.8-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rkhunter'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rkhunter-1.3.8-2.el4

Comment 12 Fedora Update System 2010-12-17 08:31:49 UTC
rkhunter-1.3.8-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-17 08:38:33 UTC
rkhunter-1.3.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-12-24 17:25:32 UTC
rkhunter-1.3.8-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Nerijus Baliūnas 2011-06-14 11:57:29 UTC
Again the same problem on F15 :)
Compared to F14 rkhunter.conf:
-ALLOW_SSH_PROT_V1=2
+ALLOW_SSH_PROT_V1=0

And because of this:

Warning: The SSH configuration option 'Protocol' has not been set.
The default value may be '2,1', to allow the use of protocol version 1.

Comment 16 Glenn Johnson 2011-06-15 10:54:19 UTC
ALLOW_SSH_PROT_V1=0 seems to have removed this error for me on Fedora 14 with rkhunter-1.3.8-2.fc14.noarch.

Comment 17 Kevin Fenzi 2011-06-21 21:38:56 UTC
Glenn: 0 fixes your setup? Thats strange... 2 should be the correct value. 

I don't know why the setting change got dropped in f15/rawhide, but I will push a fixed update...

Comment 18 Fedora Update System 2011-06-21 21:56:27 UTC
rkhunter-1.3.8-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-6.fc15

Comment 19 Fedora Update System 2011-06-24 03:57:27 UTC
Package rkhunter-1.3.8-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rkhunter-1.3.8-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rkhunter-1.3.8-6.fc15
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2011-07-01 18:58:59 UTC
rkhunter-1.3.8-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.